/*
 * COPYRIGHT (c) 1998-1999 Jan-Henrik Haukeland, http://www.tildeslash.com/
 */

package ts.event;


import java.util.EventObject;
import java.util.Vector;

 
/**
 * A Mail event
 *
 * @author Jan-Henrik Haukeland &lt;hauk@tildeslash.com&gt;
 * @version $Id: MailEvent.java,v 1.5 1999/02/21 08:47:09 hauk Exp $
 */
public class MailEvent extends EventObject
{

  /** An optional maildrop size indicator */
  protected int maildropSize= 0;



  /**
   * Construct a new MailEvent
   */
  public  MailEvent(Object source) 
  {
    super(source);
  }



  /**
   * Construct a new MailEvent
   */
  public  MailEvent(Object source, int size) 
  {
    this(source);
    maildropSize= size;
  }





  /**
   * Returns number of mails in the maildrop indicated by this event
   * @return number of mails in maildrop
   */
  public int getDropSize()
  {
    return maildropSize;
  }


}
